refusing mppe stateful

Bug #125522 reported by yvesg on 2007-07-12
4
Affects Status Importance Assigned to Milestone
NetworkManager
Fix Released
Medium
network-manager-pptp (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: network-manager-pptp
Version: feisty

I try to connect to a (windows) pptp server that requires mppe stateful encryption, but this does not work. Here is a extract for 'tail -f /var/log/ syslog':
Jul 9 19:22:21 localhost pppd[6934]: Connect: ppp0 <--> /dev/pts/2

Jul 9 19:22:21 localhost pptp[6940]: anon log[ctrlp_rep:pptp_ctrl.c:251]: Sent control packet type is 1 'Start-Control-Connection-Request'

Jul 9 19:22:21 localhost pptp[6940]: anon log[ctrlp_disp:pptp_ctrl.c:738]: Received Start Control Connection Reply

Jul 9 19:22:21 localhost pptp[6940]: anon log[ctrlp_disp:pptp_ctrl.c:772]: Client connection established.

Jul 9 19:22:22 localhost pppd[6934]: nm-pppd-plugin: CHAP check hook.

Jul 9 19:22:22 localhost pptp[6940]: anon log[ctrlp_rep:pptp_ctrl.c:251]: Sent control packet type is 7 'Outgoing-Call-Request'

Jul 9 19:22:23 localhost pptp[6940]: anon log[ctrlp_disp:pptp_ctrl.c:857]: Received Outgoing Call Reply.

Jul 9 19:22:23 localhost pptp[6940]: anon log[ctrlp_disp:pptp_ctrl.c:896]: Outgoing call established (call ID 0, peer's call ID 54016).

Jul 9 19:22:23 localhost pppd[6934]: nm-pppd-plugin: CHAP credentials requested.

Jul 9 19:22:23 localhost pppd[6934]: CHAP authentication succeeded

Jul 9 19:22:24 localhost pppd[6934]: Refusing MPPE stateful mode offered by peer

Jul 9 19:22:24 localhost pppd[6934]: MPPE required but peer negotiation failed

Jul 9 19:22:24 localhost kernel: [17180526.972000] PPP MPPE Compression module registered

Jul 9 19:22:24 localhost pppd[6934]: Connection terminated.

During the configuration, I checked: Require MPPE encryption + Require 128 bit MPPE encryption. I see no way to require stateful encryption. Am I wrong or is this a bug?

Regards
Yves Grenier

yvesg (yves-grenier) on 2007-07-13
description: updated
yvesg (yves-grenier) wrote :

This failure is observed despite the presence of options "mppe-stateful" and "require-mppe" (I also tested "require-mppe-128") in /etc/ppp/options.pptp

Craig Box (craig.box) wrote :

A patch for this exists in the GNOME bugzilla; it's probably too late to apply it for Gutsy, but I'll ensure it's applied for Hardy and will also build a backport of the package then.

Changed in network-manager-pptp:
status: New → In Progress
Changed in network-manager:
status: Unknown → New
Jean-Baptiste Lallement (jibel) wrote :

This report has been marked "In progress" without assignee for a long time now. Regarding changelog it seems to still be an issue. Can someone confirm it ?

Thanks in advance.

Changed in network-manager-pptp:
status: In Progress → Incomplete
Changed in network-manager:
status: New → Fix Released
Changed in network-manager-pptp:
status: Incomplete → Fix Committed
Przemek K. (azrael) on 2009-12-13
Changed in network-manager-pptp (Ubuntu):
status: Fix Committed → Fix Released
Changed in network-manager:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.